Page MenuHomePhabricator

[mlir] Allow adding extra class declarations to interfaces.
ClosedPublic

Authored by rriddle on Feb 11 2020, 1:12 PM.

Details

Summary

This matches the similar feature on operation definitions.

Diff Detail

Event Timeline

rriddle created this revision.Feb 11 2020, 1:12 PM
jpienaar accepted this revision.Feb 11 2020, 3:03 PM
jpienaar added inline comments.
mlir/include/mlir/IR/OpBase.td
1508

So these would be placed alongside methods ?

This revision is now accepted and ready to land.Feb 11 2020, 3:03 PM
rriddle marked 2 inline comments as done.Feb 12 2020, 10:00 AM
rriddle added inline comments.
mlir/include/mlir/IR/OpBase.td
1508

Yes. For the side effect interfaces I want to have several template methods available, which is something you can't do with "interface methods".

antiagainst accepted this revision.Feb 13 2020, 8:15 AM
rriddle marked an inline comment as done.Feb 15 2020, 11:53 PM
Closed by commit rG857b655d7aac: [mlir] Allow adding extra class declarations to interfaces. (authored by riverriddle@google.com <riverriddle@google.com>, committed by rriddle). · Explain WhyFeb 16 2020, 12:03 AM
This revision was automatically updated to reflect the committed changes.